Name: sextractor
Version: 2.5.0
Release: 6%{?dist}.1
Summary: Extract catalogs of sources from astronomical images

Group: Applications/Engineering
License: GPLv2
URL: http://terapix.iap.fr/soft/%{name}
Source0: ftp://ftp.iap.fr/pub/from_users/bertin/sextractor/%{name}-%{version}.tar.gz
Patch0: sextractor-pointer-alias.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
SExtractor is a program that builds a catalogue of objects from an 
astronomical image. Although it is particularly oriented towards 
reduction of large scale galaxy-survey data, it performs rather 
well on moderately crowded star fields.

%prep
%setup -q
%patch0 -p1

%build
%configure

%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 -p config/*.conv %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 -p config/default.nnw %{buildroot}%{_datadir}/%{name}


%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING HISTORY README THANKS doc/README.DOC doc/sextractor.pdf config/default.sex config/default.param
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/manx/*
%{_datadir}/%{name}/*

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5.0-6.1
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-5.1
- Rebuild for Fedora 8 to get the build-id
* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-5
- Rebuilt for FC6.
* Wed Jul 26 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-4
- Patch to resolve pointer aliasing problems (bug #199700)
- Removed -DXSL_URL flag, as the file sextractor.xsl does not exist yet
* Mon Jul 24 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-3
- Reverting optimization to -O2, it breaks debug infos
* Fri Jul 21 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-2
- fitsconv.c has correct permissions
- changed optimization from -O2 to -O1 (bug #199700)
- additional define allows VOTable output
* Wed Jul 19 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.5.0-1
- New upstream version 2.5.0
* Tue Jun 20 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.4.4-2
- Fixed executable permission in src/fits/fitsconv.c
- default.sex and default.param moved to docs
* Mon Jun 19 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.4.4-1
- Initial spec file.
